<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Lobby Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classLobby-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Lobby Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="lobby_8h_source.html">lobby.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Lobby:</div>
<div class="dyncontent">
<div class="center"><img src="classLobby__inherit__graph.png" border="0" usemap="#Lobby_inherit__map" alt="Inheritance graph"/></div>
<map name="Lobby_inherit__map" id="Lobby_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,169,311"/>
<area shape="rect" title=" " alt="" coords="29,5,145,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for Lobby:</div>
<div class="dyncontent">
<div class="center"><img src="classLobby__coll__graph.png" border="0" usemap="#Lobby_coll__map" alt="Collaboration graph"/></div>
<map name="Lobby_coll__map" id="Lobby_coll__map">
<area shape="rect" title=" " alt="" coords="279,314,443,465"/>
<area shape="rect" href="classMainWindow.html" title=" " alt="" coords="297,579,480,729"/>
<area shape="rect" title=" " alt="" coords="419,86,535,163"/>
<area shape="rect" href="classHostGame.html" title=" " alt="" coords="591,909,802,1060"/>
<area shape="rect" href="classSettings.html" title=" " alt="" coords="209,836,443,1133"/>
<area shape="rect" href="classNetworkService.html" title=" " alt="" coords="5,5,172,244"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="711,307,871,472"/>
<area shape="rect" href="classGameStateService.html" title=" " alt="" coords="886,535,1102,773"/>
<area shape="rect" title=" " alt="" coords="878,86,953,163"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a09f9d14bf7928bb3fe34db414b04c92d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#a09f9d14bf7928bb3fe34db414b04c92d">Lobby</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a09f9d14bf7928bb3fe34db414b04c92d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd640fd732073c1761edcc874fb89a8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#adcd640fd732073c1761edcc874fb89a8">~Lobby</a> ()</td></tr>
<tr class="separator:adcd640fd732073c1761edcc874fb89a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a379a84706fb811e1c0f7d0d870479b4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#a379a84706fb811e1c0f7d0d870479b4c">on_pbBack_clicked</a> ()</td></tr>
<tr class="separator:a379a84706fb811e1c0f7d0d870479b4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad702877004e9780d757c659fc97875ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#ad702877004e9780d757c659fc97875ff">on_pbJoin_pressed</a> ()</td></tr>
<tr class="separator:ad702877004e9780d757c659fc97875ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac421850c42697428a641f689852ee704"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#ac421850c42697428a641f689852ee704">on_pbJoin_clicked</a> ()</td></tr>
<tr class="separator:ac421850c42697428a641f689852ee704"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a152e01af866e70a9652ac59a04364e1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#a152e01af866e70a9652ac59a04364e1f">loadActiveGames</a> ()</td></tr>
<tr class="separator:a152e01af866e70a9652ac59a04364e1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a414c5a0f7dfae5155f192b1447c37271"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classNetworkService.html">NetworkService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#a414c5a0f7dfae5155f192b1447c37271">networkService</a></td></tr>
<tr class="separator:a414c5a0f7dfae5155f192b1447c37271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c196e21148d6ef7f120a8e12375d695"><td class="memItemLeft" align="right" valign="top">Ui::Lobby *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#a8c196e21148d6ef7f120a8e12375d695">ui</a></td></tr>
<tr class="separator:a8c196e21148d6ef7f120a8e12375d695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b33287029790c7de7547a7c8b677bc7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classMainWindow.html">MainWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html#a4b33287029790c7de7547a7c8b677bc7">mainWindow</a></td></tr>
<tr class="separator:a4b33287029790c7de7547a7c8b677bc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a09f9d14bf7928bb3fe34db414b04c92d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f9d14bf7928bb3fe34db414b04c92d">&#9670;&nbsp;</a></span>Lobby()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Lobby::Lobby </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adcd640fd732073c1761edcc874fb89a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcd640fd732073c1761edcc874fb89a8">&#9670;&nbsp;</a></span>~Lobby()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Lobby::~Lobby </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a152e01af866e70a9652ac59a04364e1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a152e01af866e70a9652ac59a04364e1f">&#9670;&nbsp;</a></span>loadActiveGames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Lobby::loadActiveGames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a379a84706fb811e1c0f7d0d870479b4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a379a84706fb811e1c0f7d0d870479b4c">&#9670;&nbsp;</a></span>on_pbBack_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Lobby::on_pbBack_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac421850c42697428a641f689852ee704"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac421850c42697428a641f689852ee704">&#9670;&nbsp;</a></span>on_pbJoin_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Lobby::on_pbJoin_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad702877004e9780d757c659fc97875ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad702877004e9780d757c659fc97875ff">&#9670;&nbsp;</a></span>on_pbJoin_pressed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Lobby::on_pbJoin_pressed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4b33287029790c7de7547a7c8b677bc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b33287029790c7de7547a7c8b677bc7">&#9670;&nbsp;</a></span>mainWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classMainWindow.html">MainWindow</a>* Lobby::mainWindow</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a414c5a0f7dfae5155f192b1447c37271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a414c5a0f7dfae5155f192b1447c37271">&#9670;&nbsp;</a></span>networkService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classNetworkService.html">NetworkService</a>&amp; Lobby::networkService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c196e21148d6ef7f120a8e12375d695"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c196e21148d6ef7f120a8e12375d695">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::Lobby* Lobby::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="lobby_8h_source.html">lobby.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="lobby_8cpp.html">lobby.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
